---
title: HTMLMediaElement.audioTracks
slug: Web/API/HTMLMediaElement/audioTracks
tags:
  - API
  - Audio
  - Audio Tracks
  - HTML DOM
  - HTMLMediaElement
  - Media
  - Property
  - Reference
  - Tracks
  - Web
  - audiotracks
---
<div>{{APIRef("HTML DOM")}}{{draft}}</div>

<p><span class="seoSummary">The read-only <strong><code>audioTracks</code></strong> property on {{domxref("HTMLMediaElement")}} objects returns an {{domxref("AudioTrackList")}} object listing all of the  {{domxref("AudioTrack")}} objects representing the media element's audio tracks.</span> The media element may be either an {{HTMLElement("audio")}} element or a {{HTMLElement("video")}} element.</p>

<p>The returned list is <em>live</em>; that is, as tracks are added to and removed from the media element, the list's contents change dynamically. Once you have a reference to the list, you can monitor it for changes to detect when new audio tracks are added or existing ones removed. See {{SectionOnPage("/en-US/docs/Web/API/AudioTrackList", "Event handlers")}} to learn more about watching for changes to a media element's track list.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>audioTracks</em> = <em>mediaElement</em>.audioTracks;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("AudioTrackList")}} object representing the list of audio tracks included in the media element. The list of tracks can be accessed using array notation, or using the object's {{domxref("AudioTrackList.getTrackById", "getTrackById()")}} method.</p>

<p>Each track is represented by a {{domxref("AudioTrack")}} object which provides information about the track.</p>

<h2 id="Examples">Examples</h2>

<p>In this example, all of the audio tracks on a given element are muted.</p>

<h3 id="HTML">HTML</h3>

<p>The HTML establishes the element itself.</p>

<pre class="brush: html">&lt;video id="video" src="somevideo.mp4"&gt;&lt;/video&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<p>The JavaScript code handles muting the video element's audio tracks.</p>

<pre class="brush: js">var video = document.getElementById("video");

for (var i = 0; i &lt; video.audioTracks.length; i += 1) {
  video.audioTracks[i].enabled = false;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-media-audiotracks", "HTMLMediaElement.audioTracks")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName('HTML5 W3C')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#htmlmediaelement", "HTMLMediaElement.audioTracks")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.audioTracks")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLMediaElement")}}.</li>
 <li>{{HTMLElement("audio")}} and {{HTMLElement("video")}}</li>
 <li>{{domxref("AudioTrack")}} and {{domxref("AudioTrackList")}}</li>
</ul>
